Loading...
Searching...
No Matches
Interface using direct functionality.
IRQ handling library » Interface using direct functionality.
Collaboration diagram for Interface using direct functionality.:

## Functions

l4irq_t * | l4irq_attach_cap (l4_cap_idx_t irqcap)
| Attach/connect to IRQ.
l4irq_t * | l4irq_attach_cap_ft (l4_cap_idx_t irqcap, unsigned mode)
| Attach/connect to IRQ using given type.
l4irq_t * | l4irq_attach_thread_cap (l4_cap_idx_t irqcap, l4_cap_idx_t to_thread)
| Attach/connect to IRQ.
l4irq_t * | l4irq_attach_thread_cap_ft (l4_cap_idx_t irqcap, l4_cap_idx_t to_thread, unsigned mode)
| Attach/connect to IRQ using given type.

## Detailed Description

## Function Documentation

## l4irq_attach_cap()

l4irq_t * l4irq_attach_cap | ( | l4_cap_idx_t | irqcap | ) |

Attach/connect to IRQ.

Parameters

  irqcap | IRQ capability

Returns
  Pointer to l4irq_t structure, 0 on error

This l4irq_attach has to be called in the same thread as l4irq_wait and caller has to be a pthread thread.

References L4_CV.

## l4irq_attach_cap_ft()

l4irq_t * l4irq_attach_cap_ft | ( | l4_cap_idx_t | irqcap,
|  | unsigned | mode )

Attach/connect to IRQ using given type.

Parameters

  irqcap | IRQ capability
  mode | Interrupt type,

See also
  L4_irq_mode

Returns
  Pointer to l4irq_t structure, 0 on error

This l4irq_attach has to be called in the same thread as l4irq_wait and caller has to be a pthread thread.

References L4_CV.

## l4irq_attach_thread_cap()

l4irq_t * l4irq_attach_thread_cap | ( | l4_cap_idx_t | irqcap,
|  | l4_cap_idx_t | to_thread )

Attach/connect to IRQ.

Parameters

  irqcap | IRQ capability
  to_thread | Attach IRQ to this thread.

Returns
  Pointer to l4irq_t structure, 0 on error

The pointer to the IRQ structure is used as a label in the IRQ object.

References L4_CV.

## l4irq_attach_thread_cap_ft()

l4irq_t * l4irq_attach_thread_cap_ft | ( | l4_cap_idx_t | irqcap,
|  | l4_cap_idx_t | to_thread,
|  | unsigned | mode )

Attach/connect to IRQ using given type.

Parameters

  irqcap | IRQ capability
  to_thread | Attach IRQ to this thread.
  mode | Interrupt type,

See also
  L4_irq_mode

Returns
  Pointer to l4irq_t structure, 0 on error

The pointer to the IRQ structure is used as a label in the IRQ object.

References L4_CV.